Thread Closed
XBMC and Mac Firewall Popup
#31
I think I've found a solution to the signing issue, which was inspired by this post: http://stackoverflow.com/questions/19637...r-osx-10-9

I downloaded python 2.6 here, extracted the zip file and copied FolderExtracted//Python-2.6.9/Mac/Resources/framework/Info.plist.in to /Applications/XBMC.app/Contents/Frameworks/lib/python2.6/. I renamed the file from Info.plist.in to Info.plist and ran the self-sign code mentioned earlier in this thread.

Code:
codesign -s "Certificate Name" -f --deep /Applications/XBMC.app/

This succeeded without problems and validating showed the app was signed.

Code:
codesign -vvv /Applications/XBMC.app/
...
/Applications/XBMC.app/: valid on disk
/Applications/XBMC.app/: satisfies its Designated Requirement
#32
Just tried, but got the error:
/Applications/XBMC.app/: bundle format unrecognized, invalid, or unsuitable
In subcomponent: /Applications/XBMC.app/Contents/Frameworks/lib/python2.6

(2014-01-19, 12:45)Bartcardi Wrote: I think I've found a solution to the signing issue, which was inspired by this post: http://stackoverflow.com/questions/19637...r-osx-10-9

I downloaded python 2.6 here, extracted the zip file and copied FolderExtracted//Python-2.6.9/Mac/Resources/framework/Info.plist.in to /Applications/XBMC.app/Contents/Frameworks/lib/python2.6/. I renamed the file from Info.plist.in to Info.plist and ran the self-sign code mentioned earlier in this thread.

Code:
codesign -s "Certificate Name" -f --deep /Applications/XBMC.app/

This succeeded without problems and validating showed the app was signed.

Code:
codesign -vvv /Applications/XBMC.app/
...
/Applications/XBMC.app/: valid on disk
/Applications/XBMC.app/: satisfies its Designated Requirement
#33
Can you verify the following output when you type,

Code:
cat /Applications/XBMC.app/Contents/Frameworks/lib/python2.6/Info.plist

Output

Code:
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
<plist version="0.9">
<dict>
    <key>CFBundleDevelopmentRegion</key>
    <string>English</string>
    <key>CFBundleExecutable</key>
    <string>Python</string>
    <key>CFBundleGetInfoString</key>
    <string>Python Runtime and Library</string>
    <key>CFBundleIdentifier</key>
    <string>@[email protected]</string>
    <key>CFBundleInfoDictionaryVersion</key>
    <string>6.0</string>
    <key>CFBundleName</key>
    <string>Python</string>
    <key>CFBundlePackageType</key>
    <string>FMWK</string>
    <key>CFBundleShortVersionString</key>
    <string>%VERSION%, (c) 2004-2008 Python Software Foundation.</string>
    <key>CFBundleLongVersionString</key>
    <string>%VERSION%, (c) 2004-2008 Python Software Foundation.</string>
    <key>CFBundleSignature</key>
    <string>????</string>
    <key>CFBundleVersion</key>
    <string>%VERSION%</string>
</dict>
</plist>
#34
Got it working, I must have click Yes to the box, where MacOS asks if I wanna remove the .plist when I renamed the file :/

Thanks alot Big Grin
#35
(2014-01-19, 12:45)Bartcardi Wrote: I think I've found a solution to the signing issue, which was inspired by this post: http://stackoverflow.com/questions/19637...r-osx-10-9

I downloaded python 2.6 here, extracted the zip file and copied FolderExtracted//Python-2.6.9/Mac/Resources/framework/Info.plist.in to /Applications/XBMC.app/Contents/Frameworks/lib/python2.6/. I renamed the file from Info.plist.in to Info.plist and ran the self-sign code mentioned earlier in this thread.

Code:
codesign -s "Certificate Name" -f --deep /Applications/XBMC.app/

This succeeded without problems and validating showed the app was signed.

Code:
codesign -vvv /Applications/XBMC.app/
...
/Applications/XBMC.app/: valid on disk
/Applications/XBMC.app/: satisfies its Designated Requirement

Thank you, that did for me too in Mavericks. No more promps! Smile
#36
BRILLIANT! That's been driving me crazy for months. Thank you
#37
(2014-02-01, 04:10)crud302 Wrote: BRILLIANT! That's been driving me crazy for months. Thank you

I had the same thing. Glad to have helped out!
#38
Perfect!
#39
(2014-01-19, 15:19)dimzen Wrote: Just tried, but got the error:
/Applications/XBMC.app/: bundle format unrecognized, invalid, or unsuitable
In subcomponent: /Applications/XBMC.app/Contents/Frameworks/lib/python2.6

(2014-01-19, 12:45)Bartcardi Wrote: I think I've found a solution to the signing issue, which was inspired by this post: http://stackoverflow.com/questions/19637...r-osx-10-9

I downloaded python 2.6 here, extracted the zip file and copied FolderExtracted//Python-2.6.9/Mac/Resources/framework/Info.plist.in to /Applications/XBMC.app/Contents/Frameworks/lib/python2.6/. I renamed the file from Info.plist.in to Info.plist and ran the self-sign code mentioned earlier in this thread.

Code:
codesign -s "Certificate Name" -f --deep /Applications/XBMC.app/

This succeeded without problems and validating showed the app was signed.

Code:
codesign -vvv /Applications/XBMC.app/
...
/Applications/XBMC.app/: valid on disk
/Applications/XBMC.app/: satisfies its Designated Requirement

what do i have to enter for "certificate Name" ?

a step by step manual by someone who got it working would be great and helpful.
#40
(2014-02-02, 20:51)neurosis13 Wrote: what do i have to enter for "certificate Name" ?

a step by step manual by someone who got it working would be great and helpful.

First part of this:
http://forum.xbmc.org/showthread.php?tid...pid1604493
Then this:
http://forum.xbmc.org/showthread.php?tid...#pid984182
And end with the last part of this:
http://forum.xbmc.org/showthread.php?tid...pid1604493

Ohh.. and remember to have Xcode installed Smile
#41
won't work for me Sad

I copied the info.plist from Python 2.6.9. to /XBMC.app/Contents/Frameworks/lib/python2.6/ and tried again to sign the code, but then I get this error message (instead of "bundle format unrecognized, invalid, or unsuitable"):

XBMC.app/: code failed to satisfy specified code requirement(s)
In subcomponent: /Applications/XBMC.app/Contents/Frameworks/libafpclient.0.dylib

any idea? Smile
#42
(2014-02-09, 18:03)Noggli Wrote: won't work for me Sad

I copied the info.plist from Python 2.6.9. to /XBMC.app/Contents/Frameworks/lib/python2.6/ and tried again to sign the code, but then I get this error message (instead of "bundle format unrecognized, invalid, or unsuitable"):

XBMC.app/: code failed to satisfy specified code requirement(s)
In subcomponent: /Applications/XBMC.app/Contents/Frameworks/libafpclient.0.dylib

any idea? Smile

What happens when you try this:
http://forum.xbmc.org/showthread.php?tid...pid1604635
#43
When I try this: cat /Applications/XBMC.app/Contents/Frameworks/lib/python2.6/Info.plist

… I get this:

<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plist SYSTEM "file://localhost/System/Library/DTDs/PropertyList.dtd">
<plist version="0.9">
<dict>
<key>CFBundleDevelopmentRegion</key>
<string>English</string>
<key>CFBundleExecutable</key>
<string>Python</string>
<key>CFBundleGetInfoString</key>
<string>Python Runtime and Library</string>
<key>CFBundleIdentifier</key>
<string>@[email protected]</string>
<key>CFBundleInfoDictionaryVersion</key>
<string>6.0</string>
<key>CFBundleName</key>
<string>Python</string>
<key>CFBundlePackageType</key>
<string>FMWK</string>
<key>CFBundleShortVersionString</key>
<string>%VERSION%, © 2004-2008 Python Software Foundation.</string>
<key>CFBundleLongVersionString</key>
<string>%VERSION%, © 2004-2008 Python Software Foundation.</string>
<key>CFBundleSignature</key>
<string>Huh?</string>
<key>CFBundleVersion</key>
<string>%VERSION%</string>
</dict>
</plist>
#44
there's some voodoo going on here. 12h later (nothing else changed) and all of a sudden the self-sign-code works Big Grin I just ran terminal again and used the same line as yesterday. i didn't even enter it again, just used arrow-up for that. weird Smile
#45
Just want to contribute by saying that

a) the procedure laid out in post 31 worked for me.

b) I didn't need to install the whole of XCode, Terminal prompted me to download and install just the command line tools when I entered the first command.

OS X.9.2, Gotham beta2
  Thread Closed
 
Thread Rating:
  • 1 Vote(s) - 5 Average



Logout Mark Read Team Forum Stats Members Help
XBMC and Mac Firewall Popup51